PHP ��U
前一頁 |  | 下一頁

# 附錄 R. Userland Naming Guide

The following is a guide for how to best choose names for identifiers in userland PHP code. When choosing names for any code that creates symbols in the global namespace, it is important to take into account the following guidelines to prevent future versions of PHP from clashing with your symbols.

# Global Namespace

Here is an overview of code constructs that go into the global namespace:

- functions

- classes

- interfaces

- constants (not class constants)

- variables defined outside of functions/methods

前一頁 | 內容 | 下一頁
List of Parser Tokens | 上一層 | Rules